GDBserver

Macros | Typedefs | Functions
linux-nat.h File Reference
`#include "target/waitstatus.h"`

Go to the source code of this file.

## Macros
#define | __SIGRTMIN 32
#define | SYSCALL_SIGTRAP (SIGTRAP | 0x80)

## Typedefs
typedef int() | iterate_over_lwps_ftype(struct lwp_info *lwp, void *arg)

## Functions
ptid_t | current_lwp_ptid (void)
struct lwp_info * | iterate_over_lwps (ptid_t filter, iterate_over_lwps_ftype callback, void *data)
ptid_t | ptid_of_lwp (struct lwp_info *lwp)
void | lwp_set_arch_private_info (struct lwp_info *lwp, struct arch_lwp_info *info)
struct arch_lwp_info * | lwp_arch_private_info (struct lwp_info *lwp)
int | lwp_is_stopped (struct lwp_info *lwp)
enum target_stop_reason | lwp_stop_reason (struct lwp_info *lwp)
void | linux_stop_lwp (struct lwp_info *lwp)
int | lwp_is_stepping (struct lwp_info *lwp)

## Macro Definition Documentation

## ◆ __SIGRTMIN

#define __SIGRTMIN 32

Definition at line 30 of file linux-nat.h.

Referenced by enqueue_one_deferred_signal(), and linux_wait_1().

## ◆ SYSCALL_SIGTRAP

#define SYSCALL_SIGTRAP (SIGTRAP | 0x80)

Definition at line 36 of file linux-nat.h.

Referenced by linux_low_filter_event(), linux_wait_1(), and status_to_str().

## Typedef Documentation

## ◆ iterate_over_lwps_ftype

typedef int() iterate_over_lwps_ftype(struct lwp_info *lwp, void *arg)

Definition at line 46 of file linux-nat.h.

## Function Documentation

## ◆ current_lwp_ptid()

ptid_t current_lwp_ptid | ( | void |  | ) |

Definition at line 7358 of file linux-low.c.

References current_thread, and ptid_of().

Referenced by aarch64_notify_debug_reg_change(), aarch64_point_is_aligned(), x86_linux_dr_get_addr(), x86_linux_dr_get_control(), x86_linux_dr_get_status(), x86_linux_dr_set_addr(), and x86_linux_dr_set_control().

## ◆ iterate_over_lwps()

struct lwp_info* iterate_over_lwps | ( | ptid_t | filter,
|  | iterate_over_lwps_ftype | callback,
|  | void * | data
| ) |  |

Definition at line 1844 of file linux-low.c.

References find_thread(), get_thread_lwp, and lwp_info::thread.

Referenced by aarch64_notify_debug_reg_change(), x86_linux_dr_set_addr(), and x86_linux_dr_set_control().

## ◆ linux_stop_lwp()

void linux_stop_lwp | ( | struct lwp_info * | lwp | ) |

Definition at line 3907 of file linux-low.c.

References send_sigstop().

Referenced by debug_reg_change_callback(), linux_handle_new_gdb_connection(), update_debug_registers_callback(), update_registers_callback(), and update_watch_registers_callback().

## ◆ lwp_arch_private_info()

struct arch_lwp_info* lwp_arch_private_info | ( | struct lwp_info * | lwp | ) |

Definition at line 161 of file linux-low.c.

References lwp_info::arch_private.

Referenced by aarch64_linux_prepare_to_resume(), debug_reg_change_callback(), lwp_debug_registers_changed(), and lwp_set_debug_registers_changed().

## ◆ lwp_is_stepping()

int lwp_is_stepping | ( | struct lwp_info * | lwp | ) |

Definition at line 185 of file linux-low.c.

References lwp_info::stepping.

## ◆ lwp_is_stopped()

int lwp_is_stopped | ( | struct lwp_info * | lwp | ) |

Definition at line 169 of file linux-low.c.

References lwp_info::stopped.

Referenced by debug_reg_change_callback(), update_debug_registers_callback(), and x86_linux_update_debug_registers().

## ◆ lwp_set_arch_private_info()

void lwp_set_arch_private_info | ( | struct lwp_info * | lwp,
|  | struct arch_lwp_info * | info
| ) |  |

Definition at line 152 of file linux-low.c.

References lwp_info::arch_private.

Referenced by aarch64_linux_new_thread(), debug_reg_change_callback(), and lwp_set_debug_registers_changed().

## ◆ lwp_stop_reason()

enum target_stop_reason lwp_stop_reason | ( | struct lwp_info * | lwp | ) |

Definition at line 177 of file linux-low.c.

References lwp_info::stop_reason.

Referenced by x86_linux_update_debug_registers().

## ◆ ptid_of_lwp()

ptid_t ptid_of_lwp | ( | struct lwp_info * | lwp | ) |

Definition at line 144 of file linux-low.c.

References get_lwp_thread, and ptid_of().

Referenced by aarch64_linux_prepare_to_resume(), debug_reg_change_callback(), and x86_linux_update_debug_registers().